package net.mcreator.compigserver.procedures;

import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.eventbus.api.Event;
import net.minecraftforge.event.entity.living.LivingFallEvent;
import net.minecraftforge.common.MinecraftForge;

import net.minecraft.world.World;
import net.minecraft.item.ItemStack;
import net.minecraft.inventory.EquipmentSlotType;
import net.minecraft.entity.LivingEntity;
import net.minecraft.entity.Entity;
import net.minecraft.enchantment.EnchantmentHelper;

import net.mcreator.compigserver.enchantment.MLGWaterEnchantment;
import net.mcreator.compigserver.CompigServerModElements;
import net.mcreator.compigserver.CompigServerMod;

import java.util.Random;
import java.util.Map;
import java.util.HashMap;

@CompigServerModElements.ModElement.Tag
public class MLGDoingProcedure extends CompigServerModElements.ModElement {
	public MLGDoingProcedure(CompigServerModElements instance) {
		super(instance, 96);
		MinecraftForge.EVENT_BUS.register(this);
	}

	public static void executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("entity") == null) {
			if (!dependencies.containsKey("entity"))
				CompigServerMod.LOGGER.warn("Failed to load dependency entity for procedure MLGDoing!");
			return;
		}
		if (dependencies.get("damagemultiplier") == null) {
			if (!dependencies.containsKey("damagemultiplier"))
				CompigServerMod.LOGGER.warn("Failed to load dependency damagemultiplier for procedure MLGDoing!");
			return;
		}
		Entity entity = (Entity) dependencies.get("entity");
		double damagemultiplier = dependencies.get("damagemultiplier") instanceof Integer
				? (int) dependencies.get("damagemultiplier")
				: (double) dependencies.get("damagemultiplier");
		if ((((damagemultiplier) > 0) && ((EnchantmentHelper.getEnchantmentLevel(MLGWaterEnchantment.enchantment,
				((entity instanceof LivingEntity)
						? ((LivingEntity) entity).getItemStackFromSlot(EquipmentSlotType.fromSlotTypeAndIndex(EquipmentSlotType.Group.ARMOR, (int) 0))
						: ItemStack.EMPTY)) != 0)))) {
			if (dependencies.get("event") != null) {
				Object _obj = dependencies.get("event");
				if (_obj instanceof Event) {
					Event _evt = (Event) _obj;
					if (_evt.isCancelable())
						_evt.setCanceled(true);
				}
			}
			{
				ItemStack _ist = ((entity instanceof LivingEntity)
						? ((LivingEntity) entity).getItemStackFromSlot(EquipmentSlotType.fromSlotTypeAndIndex(EquipmentSlotType.Group.ARMOR, (int) 0))
						: ItemStack.EMPTY);
				if (_ist.attemptDamageItem((int) 10, new Random(), null)) {
					_ist.shrink(1);
					_ist.setDamage(0);
				}
			}
		}
	}

	@SubscribeEvent
	public void onEntityFall(LivingFallEvent event) {
		if (event != null && event.getEntity() != null) {
			Entity entity = event.getEntity();
			double i = entity.getPosX();
			double j = entity.getPosY();
			double k = entity.getPosZ();
			double damagemultiplier = event.getDamageMultiplier();
			double distance = event.getDistance();
			World world = entity.world;
			Map<String, Object> dependencies = new HashMap<>();
			dependencies.put("x", i);
			dependencies.put("y", j);
			dependencies.put("z", k);
			dependencies.put("damagemultiplier", damagemultiplier);
			dependencies.put("distance", distance);
			dependencies.put("world", world);
			dependencies.put("entity", entity);
			dependencies.put("event", event);
			this.executeProcedure(dependencies);
		}
	}
}
